<div class="banner-section flex" {% if section.settings.image != blank %} style="background-image: url( {{ section.settings.image | img_url: 'master' }});"{% endif %}>
    <div class="container flex flex-justify-center flex-align-end mobile-flex-align-center">
        <div class="banner-content">
            {% if section.settings.text != blank %}
            <h2>{{ section.settings.text }}</h2>
            {% endif %}
            <p>
                {% if section.settings.button_label != blank %}
                <a href="{% if section.settings.button_url != blank %}{{ section.settings.button_url }}{% else %}#{% endif %}">
                    <span class="text">{{ section.settings.button_label }}</span>
                    <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <circle cx="9" cy="9" r="9" fill="#FFE800"/>
                        <path d="M7.68487 11.8213L11.2715 9.13599L7.68487 6.45067L7.68487 11.8213Z" fill="black"/>
                    </svg>
                </a>
                {% endif %}
            </p>
        </div>
        {% if section.settings.freeshipping_text != blank %} <span class="hot-deals">{{ section.settings.freeshipping_text }}</span>{% endif %}
    </div>
</div>
{% schema %}
    {
    "name": "Main Hero Banner",
    "settings": [
    {
    "type": "image_picker",
    "id": "image",
    "label": "Image"
    },
    {
    "type": "textarea",
    "id": "text",
    "label": "Text"
    },
    {
    "type": "text",
    "id": "freeshipping_text",
    "label": "Free Shipping Text"
    },
    {
    "type": "text",
    "id": "button_label",
    "label": "Button label"
    },
    {
    "type": "url",
    "id": "button_link",
    "label": "Button link"
    }
    ],
    "presets": [
    {
    "name": "Main Hero Banner",
    "category": "Image"
    }
    ]
    }
{% endschema %}
